Android 6.0.1 Release 70 (MOB31H)
-----BEGIN PGP SIGNATURE-----

iEYEABECAAYFAlf0LlcACgkQ6K0/gZqxDnhJ7gCgjM1Z4lmqefoZxiSxsyKwEnU5
N2gAnAl494wMo444qVv+3nMvxOnS0HxF
=wEbB
-----END PGP SIGNATURE-----
Fix vold vulnerability in FrameworkListener

Modify FrameworkListener to ignore commands that exceed the maximum
buffer length and send an error message.

Bug: 29831647
Change-Id: I9e57d1648d55af2ca0191bb47868e375ecc26950
Signed-off-by: Connor O'Brien <connoro@google.com>
(cherry picked from commit baa126dc158a40bc83c17c6d428c760e5b93fb1a)
(cherry picked from commit 470484d2a25ad432190a01d1c763b4b36db33c7e)
2 files changed